

char *makeCacheFileName(const char *cacheRoot, const char *machine, const char *sigType, const char *uid, int pulse, const char *path1, const char *path2, int seq);

int getJPFFromCache(const char *cacheRoot,
			int pulse, const char *subsys, const char *signal,
			void **t, int *nt,
			void **data );

int getPPFFromCache(const char *cacheRoot,
			const char *uid, int pulse, const char *dda, const char *dtype, int seq, 
			void **t, int *nt,
			void **x, int *nx, 
			void **data,			
			char **comment,
			char **units,
			int *userStatusFlag,
			int *systemStatusFlah );

int readHD5DataSpace(int file_id, const char *name, int *rankPtr, hsize_t **dimsPtr, void **dataPtr);



